A B C D E F G H I J K L M N O P Q R S T U V W _

A

accept(ServerSocketChannel, AsyncCallback) - Static method in class org.apache.deft.util.AcceptUtil
 
accept(IOLoop, ServerSocketChannel, AsyncCallback) - Static method in class org.apache.deft.util.AcceptUtil
 
AcceptUtil - Class in org.apache.deft.util
 
AcceptUtil() - Constructor for class org.apache.deft.util.AcceptUtil
 
addCallback(AsyncCallback) - Method in interface org.apache.deft.io.callback.CallbackManager
 
addCallback(AsyncCallback) - Method in class org.apache.deft.io.callback.JMXDebuggableCallbackManager
 
addCallback(AsyncCallback) - Method in class org.apache.deft.io.IOLoop
The callback will be invoked in the next iteration in the io loop.
addHandler(SelectableChannel, IOHandler, int, Object) - Method in class org.apache.deft.io.IOLoop
Registers a new IOHandler with this IOLoop.
addKeepAliveTimeout(SelectableChannel, Timeout) - Method in class org.apache.deft.io.IOLoop
 
addKeepAliveTimeout(SelectableChannel, Timeout) - Method in class org.apache.deft.io.timeout.JMXDebuggableTimeoutManager
 
addKeepAliveTimeout(SelectableChannel, Timeout) - Method in interface org.apache.deft.io.timeout.TimeoutManager
 
addTimeout(Timeout) - Method in class org.apache.deft.io.IOLoop
 
addTimeout(Timeout) - Method in class org.apache.deft.io.timeout.JMXDebuggableTimeoutManager
 
addTimeout(Timeout) - Method in interface org.apache.deft.io.timeout.TimeoutManager
 
allocate(int) - Static method in class org.apache.deft.io.buffer.DynamicByteBuffer
Allocate a new DynamicByteBuffer that will be using a internally.
AnnotationsScanner - Class in org.apache.deft.configuration
Provides functionality to retrieve known Annotation types and associated values.
AnnotationsScanner() - Constructor for class org.apache.deft.configuration.AnnotationsScanner
 
appendBody(String) - Method in class org.apache.deft.web.http.PartialHttpRequest
 
Application - Class in org.apache.deft.web
 
Application(Map<String, RequestHandler>) - Constructor for class org.apache.deft.web.Application
 
APPLICATION_FORM_URLENCODED - Static variable in class org.apache.deft.web.http.protocol.ContentType
application/x-www-form-urlencoded
APPLICATION_JSON - Static variable in class org.apache.deft.web.http.protocol.ContentType
application/json
APPLICATION_OCTET_STREAM - Static variable in class org.apache.deft.web.http.protocol.ContentType
application/octet-stream
APPLICATION_XML - Static variable in class org.apache.deft.web.http.protocol.ContentType
application/xml
array() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See ByteBuffer.array()
ArrayUtil - Class in org.apache.deft.util
 
ArrayUtil() - Constructor for class org.apache.deft.util.ArrayUtil
 
AsyncCallback - Interface in org.apache.deft.web
The generic interface a caller must implement to receive an arbitrary callback from an async call (similar to AsyncResult).
Asynchronous - Annotation Type in org.apache.deft.annotation
Annotation used by implementation of RequestHandler to denote a method as asynchronous (i.e don't close the Http connection until the client invokes the finish method)
AsynchronousHttpClient - Class in org.apache.deft.web.http.client
This class implements a simple HTTP 1.1 client on top of Deft's AsynchronousSocket.
AsynchronousHttpClient() - Constructor for class org.apache.deft.web.http.client.AsynchronousHttpClient
Create an instance of this type.
AsynchronousHttpClient(IOLoop) - Constructor for class org.apache.deft.web.http.client.AsynchronousHttpClient
Create an instance of this type, utilising the given IOLoop.
AsynchronousHttpClientGetExample - Class in org.apache.deft.example.client
Example class to demonstrate usage of AsynchronousHttpClient.
AsynchronousHttpClientGetExample() - Constructor for class org.apache.deft.example.client.AsynchronousHttpClientGetExample
 
AsynchronousHttpClientPostExample - Class in org.apache.deft.example.client
Example class to demonstrate usage of AsynchronousHttpClient.
AsynchronousHttpClientPostExample() - Constructor for class org.apache.deft.example.client.AsynchronousHttpClientPostExample
 
AsynchronousSocket - Class in org.apache.deft.io
 
AsynchronousSocket(SocketChannel) - Constructor for class org.apache.deft.io.AsynchronousSocket
Creates a new AsynchronousSocket that will delegate its io operations to the given SelectableChannel.
AsynchronousSocket(IOLoop, SocketChannel) - Constructor for class org.apache.deft.io.AsynchronousSocket
 
AsyncResult<T> - Interface in org.apache.deft.web
The generic interface a caller must implement to receive a result from an async call
Authenticated - Annotation Type in org.apache.deft.annotation
Annotation used by implementation of RequestHandler to show that a method requires that the request (current user) is authenticated (i.e your overridden method RequestHandler.getCurrentUser(org.apache.deft.web.http.HttpRequest) returns a non null value)

B

BadRequestRequestHandler - Class in org.apache.deft.web.handler
 
BasicHandlerExample - Class in org.apache.deft.example.handler
This is a basic handler, which does nothing more than write output and associate itself with a path.
BasicHandlerExample() - Constructor for class org.apache.deft.example.handler.BasicHandlerExample
 
bind(int) - Method in class org.apache.deft.web.HttpServer
 

C

CallbackManager - Interface in org.apache.deft.io.callback
 
CallbackManagerMXBean - Interface in org.apache.deft.io.callback
 
cancel() - Method in class org.apache.deft.io.callback.PeriodicCallback
Cancel the PeriodicCallback.
cancel() - Method in class org.apache.deft.io.timeout.Timeout
 
capacity() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See Buffer.capacity
clear() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See Buffer.clear()
clearCookie(String) - Method in interface org.apache.deft.web.http.HttpResponse
Removes a cookie.
clearCookie(String) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
clone() - Method in class org.apache.deft.example.handler.ClonedHandlerExample
 
clone() - Method in class org.apache.deft.web.handler.RequestHandler
 
ClonedHandlerExample - Class in org.apache.deft.example.handler
All RequestHandler implementations are cloned.
ClonedHandlerExample() - Constructor for class org.apache.deft.example.handler.ClonedHandlerExample
 
cloneHandler(T) - Static method in class org.apache.deft.web.handler.RequestHandlerFactory
Clone the given instance of RequestHandler.
close() - Method in class org.apache.deft.io.AsynchronousSocket
Close the socket.
close() - Method in class org.apache.deft.web.http.client.AsynchronousHttpClient
Close the underlaying AsynchronousSocket.
Closeables - Class in org.apache.deft.util
 
closeOrRegisterForRead(SelectionKey) - Method in class org.apache.deft.web.http.HttpProtocol
 
closeQuietly(SelectableChannel) - Static method in class org.apache.deft.util.Closeables
 
closeQuietly(IOLoop, SelectableChannel) - Static method in class org.apache.deft.util.Closeables
 
code() - Method in enum org.apache.deft.web.http.protocol.HttpStatus
Retrieve the status code for this instance.
compact() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See ByteBuffer.compact()
Configuration - Class in org.apache.deft.configuration
Simple type to hold configuration options, to be passed to HttpServer .
Configuration() - Constructor for class org.apache.deft.configuration.Configuration
 
connect() - Method in class org.apache.deft.example.keyvalue.KeyValueStoreClient
 
connect(String, int, AsyncResult<Boolean>) - Method in class org.apache.deft.io.AsynchronousSocket
Connects to the given host port tuple and invokes the given callback when a successful connection is established.
ContentType - Class in org.apache.deft.web.http.protocol
A collection of known content types, for convenience.
ContentType() - Constructor for class org.apache.deft.web.http.protocol.ContentType
 
continueParsing(ByteBuffer, PartialHttpRequest) - Static method in class org.apache.deft.web.http.HttpRequestImpl
 
COOKIE_SEPARATOR_PATTERN - Static variable in class org.apache.deft.web.http.HttpRequestImpl
Regex to split cookie header following RFC6265 Section 5.4
CookieHandlerExample - Class in org.apache.deft.example.handler
This handler demonstrates usage of cookie-related functionality.
CookieHandlerExample() - Constructor for class org.apache.deft.example.handler.CookieHandlerExample
 
CookieUtil - Class in org.apache.deft.util
Utility type providing cookie-related functionality.
CookieUtil() - Constructor for class org.apache.deft.util.CookieUtil
 
createApplication(String) - Method in class org.apache.deft.web.HttpServer
 
createInstance(String) - Static method in class org.apache.deft.util.ReflectionTools
Create an instance of the given type.

D

DateUtil - Class in org.apache.deft.util
 
DateUtil() - Constructor for class org.apache.deft.util.DateUtil
 
DeftConfigurationExample - Class in org.apache.deft.example.configuration
Instantiation of server, describing all configuration options.
DeftConfigurationExample() - Constructor for class org.apache.deft.example.configuration.DeftConfigurationExample
 
DeftServerExample - Class in org.apache.deft.example
A simple example of how to configure and instantiate a server.
DeftServerExample() - Constructor for class org.apache.deft.example.DeftServerExample
 
delete(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.RequestHandler
 
dispatch(RequestHandler, HttpRequest, HttpResponse) - Static method in class org.apache.deft.web.http.HttpRequestDispatcher
 
doFetch(AsyncResult<Response>, long) - Method in class org.apache.deft.web.http.client.AsynchronousHttpClient
Perform the action of making a request against a known URL, before invoking the given callback type.
dropFromEndWhile(String[], String) - Static method in class org.apache.deft.util.ArrayUtil
 
DynamicByteBuffer - Class in org.apache.deft.io.buffer
 

E

execute() - Method in interface org.apache.deft.io.callback.CallbackManager
 
execute() - Method in class org.apache.deft.io.callback.JMXDebuggableCallbackManager
 
execute() - Method in class org.apache.deft.io.timeout.JMXDebuggableTimeoutManager
 
execute() - Method in interface org.apache.deft.io.timeout.TimeoutManager
 

F

fetch(Request, AsyncResult<Response>) - Method in class org.apache.deft.web.http.client.AsynchronousHttpClient
Make an asynchronous call as per the given Request, invoking the passed callback upon completion.
findHandlers(String) - Method in class org.apache.deft.configuration.AnnotationsScanner
Recursively iterate the given package, and attempt to resolve all annotated references for RequestHandler implementations.
finish() - Method in interface org.apache.deft.web.http.HttpResponse
Should only be invoked by third party asynchronous request handlers (or by the Deft framework for synchronous request handlers).
finish() - Method in class org.apache.deft.web.http.HttpResponseImpl
 
flip() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See Buffer.flip()
flush() - Method in interface org.apache.deft.web.http.HttpResponse
Explicit flush.
flush() - Method in class org.apache.deft.web.http.HttpResponseImpl
 
ForbiddenRequestHandler - Class in org.apache.deft.web.handler
 

G

get(HttpRequest, HttpResponse) - Method in class org.apache.deft.example.handler.BasicHandlerExample
 
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.example.handler.ClonedHandlerExample
 
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.example.handler.CookieHandlerExample
 
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.example.handler.PatternHandlerExample
 
get(String, AsyncResult<byte[]>) - Method in class org.apache.deft.example.keyvalue.KeyValueStoreClient
 
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.example.keyvalue.KeyValueStoreHandler
 
get(byte[], int, int) - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See ByteBuffer.get(byte[], int, int)
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.BadRequestRequestHandler
 
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.ForbiddenRequestHandler
 
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.NotFoundRequestHandler
 
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.RequestHandler
 
get(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.StaticContentHandler
{inheritDoc}
get(String, AsyncResult<Response>) - Method in class org.apache.deft.web.http.client.AsynchronousHttpClient
Make an asynchronous HTTP GET request against the specified URL, and invoke the given callback when the response upon completion.
getBody() - Method in class org.apache.deft.web.http.client.Request
Retrieve the body associated with this Request.
getBody() - Method in class org.apache.deft.web.http.client.Response
 
getBody() - Method in interface org.apache.deft.web.http.HttpRequest
The body of this request
getBody() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getBody() - Method in class org.apache.deft.web.http.PartialHttpRequest
 
getByteBuffer() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
Returns the ByteBuffer that is used internally by this .
getCallback() - Method in class org.apache.deft.io.timeout.Timeout
 
getConfiguration() - Method in class org.apache.deft.web.Application
Retrieve the Configuration used by this type.
getContentType() - Method in class org.apache.deft.web.http.client.Request
Retrieve the content type associated with this Request.
getCookie(String) - Method in interface org.apache.deft.web.http.HttpRequest
Returns a given cookie.
getCookie(String) - Method in class org.apache.deft.web.http.HttpRequestImpl
Returns a given cookie.
getCookies() - Method in interface org.apache.deft.web.http.HttpRequest
Returns a map with all cookies contained in the request.
getCookies() - Method in class org.apache.deft.web.http.HttpRequestImpl
Returns a map with all cookies contained in the request.
getCurrentAsString() - Static method in class org.apache.deft.util.DateUtil
 
getCurrentUser(HttpRequest) - Method in class org.apache.deft.web.handler.RequestHandler
 
getDateAsString(Date) - Static method in class org.apache.deft.util.DateUtil
Convert a given Date object to a RFC 1123 formatted String.
getEtag(byte[]) - Static method in class org.apache.deft.util.HttpUtil
 
getEtag(File) - Static method in class org.apache.deft.util.HttpUtil
 
getHandler(HttpRequest) - Method in class org.apache.deft.web.Application
 
getHandlerPackage() - Method in class org.apache.deft.configuration.Configuration
Retrieve the package under which RequestHandler implementations are to be found, for example "org.apache.deft".
getHeader(String) - Method in class org.apache.deft.web.http.client.Response
 
getHeader(String) - Method in interface org.apache.deft.web.http.HttpRequest
Get the value of a given HTTP header.
getHeader(String) - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getHeaders() - Method in interface org.apache.deft.web.http.HttpRequest
Get the read-only header of this request.
getHeaders() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getInstance() - Static method in class org.apache.deft.web.handler.BadRequestRequestHandler
 
getInstance() - Static method in class org.apache.deft.web.handler.ForbiddenRequestHandler
 
getInstance() - Static method in class org.apache.deft.web.handler.NotFoundRequestHandler
 
getInstance() - Static method in class org.apache.deft.web.handler.StaticContentHandler
 
getIOLoop() - Method in class org.apache.deft.web.http.HttpProtocol
 
getIOLoop() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getMaxRedirects() - Method in class org.apache.deft.web.http.client.Request
Retrieve the maximum number of redirects this Request will follow.
getMethod() - Method in interface org.apache.deft.web.http.HttpRequest
The method (POST,GET ..) used for this request.
getMethod() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getNumberOfCallbacks() - Method in interface org.apache.deft.io.callback.CallbackManagerMXBean
 
getNumberOfCallbacks() - Method in class org.apache.deft.io.callback.JMXDebuggableCallbackManager
 
getNumberOfKeepAliveTimeouts() - Method in class org.apache.deft.io.timeout.JMXDebuggableTimeoutManager
 
getNumberOfKeepAliveTimeouts() - Method in interface org.apache.deft.io.timeout.TimeoutManagerMXBean
 
getNumberOfRegisteredIOHandlers() - Method in class org.apache.deft.io.IOLoop
 
getNumberOfRegisteredIOHandlers() - Method in interface org.apache.deft.io.IOLoopMXBean
 
getNumberOfTimeouts() - Method in class org.apache.deft.io.timeout.JMXDebuggableTimeoutManager
 
getNumberOfTimeouts() - Method in interface org.apache.deft.io.timeout.TimeoutManagerMXBean
 
getParameter(String) - Method in interface org.apache.deft.web.http.HttpRequest
Returns the value of a request parameter as a String, or null if the parameter does not exist.
getParameter(String) - Method in class org.apache.deft.web.http.HttpRequestImpl
Returns the value of a request parameter as a String, or null if the parameter does not exist.
getParameters() - Method in interface org.apache.deft.web.http.HttpRequest
TODO: JAVADOC, it's unclear to me (jvermillard)
getParameters() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getParameterValues(String) - Method in interface org.apache.deft.web.http.HttpRequest
Returns a collection of all values associated with the provided parameter.
getParameterValues(String) - Method in class org.apache.deft.web.http.HttpRequestImpl
Returns a collection of all values associated with the provided parameter.
getRegisteredIOHandlers() - Method in class org.apache.deft.io.IOLoop
 
getRegisteredIOHandlers() - Method in interface org.apache.deft.io.IOLoopMXBean
 
getRemoteHost() - Method in interface org.apache.deft.web.http.HttpRequest
The address of the client which issued this request.
getRemoteHost() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getRemotePort() - Method in interface org.apache.deft.web.http.HttpRequest
The TCP port of the client which issued this request.
getRemotePort() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getRequestedPath() - Method in interface org.apache.deft.web.http.HttpRequest
The path of this request
getRequestedPath() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getRequestLine() - Method in interface org.apache.deft.web.http.HttpRequest
Get the HTTP request line for the request.
getRequestLine() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getRequestLine() - Method in class org.apache.deft.web.http.PartialHttpRequest
 
getRequestTime() - Method in class org.apache.deft.web.http.client.Response
 
getServerHost() - Method in interface org.apache.deft.web.http.HttpRequest
The address of the server which received this request.
getServerHost() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getServerPort() - Method in interface org.apache.deft.web.http.HttpRequest
The TCP port of the server which received this request.
getServerPort() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
getStaticDirectory() - Method in class org.apache.deft.configuration.Configuration
Retrieve directory from which static content should be retrieved.
getStatus() - Method in exception org.apache.deft.web.http.HttpException
Retrieve the HttpStatus represented by this exception.
getStatusLine() - Method in class org.apache.deft.web.http.client.Response
 
getTimeout() - Method in class org.apache.deft.io.timeout.Timeout
 
getURL() - Method in class org.apache.deft.web.http.client.Request
Retrieve the URL associated with this Request.
getVerb() - Method in class org.apache.deft.web.http.client.Request
Retrieve the current type of request.
getVersion() - Method in interface org.apache.deft.web.http.HttpRequest
The version of the HTTP protocol.
getVersion() - Method in class org.apache.deft.web.http.HttpRequestImpl
 

H

handleAccept(SelectionKey) - Method in class org.apache.deft.io.AsynchronousSocket
Should only be invoked by the IOLoop
handleAccept(SelectionKey) - Method in interface org.apache.deft.io.IOHandler
 
handleAccept(SelectionKey) - Method in class org.apache.deft.web.http.HttpProtocol
 
handleConnect(SelectionKey) - Method in class org.apache.deft.io.AsynchronousSocket
Should only be invoked by the IOLoop
handleConnect(SelectionKey) - Method in interface org.apache.deft.io.IOHandler
 
handleConnect(SelectionKey) - Method in class org.apache.deft.web.http.HttpProtocol
 
handleRead(SelectionKey) - Method in class org.apache.deft.io.AsynchronousSocket
Should only be invoked by the IOLoop
handleRead(SelectionKey) - Method in interface org.apache.deft.io.IOHandler
 
handleRead(SelectionKey) - Method in class org.apache.deft.web.http.HttpProtocol
 
handleWrite(SelectionKey) - Method in class org.apache.deft.io.AsynchronousSocket
Should only be invoked by the IOLoop
handleWrite(SelectionKey) - Method in interface org.apache.deft.io.IOHandler
 
handleWrite(SelectionKey) - Method in class org.apache.deft.web.http.HttpProtocol
 
hasKeepAliveTimeout(SelectableChannel) - Method in class org.apache.deft.io.IOLoop
 
hasKeepAliveTimeout(SelectableChannel) - Method in class org.apache.deft.io.timeout.JMXDebuggableTimeoutManager
 
hasKeepAliveTimeout(SelectableChannel) - Method in interface org.apache.deft.io.timeout.TimeoutManager
 
hasRemaining() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See Buffer.hasRemaining()
head(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.RequestHandler
 
head(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.StaticContentHandler
{inheritDoc}
HEADER_VALUE_PATTERN - Static variable in class org.apache.deft.web.http.HttpRequestImpl
Regex to parse header name and value
HEADERS_BODY_PATTERN - Static variable in class org.apache.deft.web.http.HttpRequestImpl
Regex to parse raw headers from body
HOST - Static variable in class org.apache.deft.example.keyvalue.KeyValueStore
 
HttpException - Exception in org.apache.deft.web.http
Representation of an exception thrown by the server through the HTTP protocol.
HttpException(HttpStatus) - Constructor for exception org.apache.deft.web.http.HttpException
Create an instance of this type, with the given HttpStatus and an empty message.
HttpException(HttpStatus, String) - Constructor for exception org.apache.deft.web.http.HttpException
Create an instance of this type, with the given HttpStatus and message.
HttpProtocol - Class in org.apache.deft.web.http
 
HttpProtocol(Application) - Constructor for class org.apache.deft.web.http.HttpProtocol
 
HttpProtocol(IOLoop, Application) - Constructor for class org.apache.deft.web.http.HttpProtocol
 
HttpRequest - Interface in org.apache.deft.web.http
An HTTP request received from a client
HttpRequestDispatcher - Class in org.apache.deft.web.http
The RequestDispatcher is responsible for invoking the appropriate RequestHandler method for the current HttpRequest.
HttpRequestDispatcher() - Constructor for class org.apache.deft.web.http.HttpRequestDispatcher
 
HttpRequestImpl - Class in org.apache.deft.web.http
 
HttpRequestImpl(String, Map<String, String>) - Constructor for class org.apache.deft.web.http.HttpRequestImpl
Creates a new HttpRequest
HttpRequestImpl(String, String, String, Map<String, String>, ImmutableMultimap<String, String>) - Constructor for class org.apache.deft.web.http.HttpRequestImpl
 
HttpRequestImpl(String, Map<String, String>, String) - Constructor for class org.apache.deft.web.http.HttpRequestImpl
Creates a new HttpRequest
HttpResponse - Interface in org.apache.deft.web.http
An HTTP response build and sent to a client in response to a HttpRequest
HttpResponseImpl - Class in org.apache.deft.web.http
 
HttpResponseImpl(HttpProtocol, SelectionKey, boolean) - Constructor for class org.apache.deft.web.http.HttpResponseImpl
 
HttpServer - Class in org.apache.deft.web
 
HttpServer(Configuration) - Constructor for class org.apache.deft.web.HttpServer
 
HttpServerDescriptor - Class in org.apache.deft.web.http
This class provides a possiblity to change the tunables used by Deft for the http server configuration.
HttpServerDescriptor() - Constructor for class org.apache.deft.web.http.HttpServerDescriptor
 
HttpStatus - Enum in org.apache.deft.web.http.protocol
An Enumeration of all known HTTP status codes.
HttpUtil - Class in org.apache.deft.util
 
HttpUtil() - Constructor for class org.apache.deft.util.HttpUtil
 
HttpVerb - Enum in org.apache.deft.web.http.protocol
An Enumeration of all available HTTP verbs, as defined by Hypertext Transfer Protocol -- HTTP/1.1 (RFC 2616).

I

indexOf(byte[], int, int, byte[]) - Static method in class org.apache.deft.util.KnuthMorrisPrattAlgorithm
Search for pattern in data, [start, end).
INSTANCE - Static variable in class org.apache.deft.io.IOLoop
 
instance - Static variable in class org.apache.deft.web.http.MalFormedHttpRequest
 
IOHandler - Interface in org.apache.deft.io
IOHandlers are added to the IOLoop via IOLoop.addHandler(java.nio.channels.SelectableChannel, org.apache.deft.io.IOHandler, int, java.lang.Object) method.
IOLoop - Class in org.apache.deft.io
 
IOLoop() - Constructor for class org.apache.deft.io.IOLoop
 
IOLoopMXBean - Interface in org.apache.deft.io
 
isCancelled() - Method in class org.apache.deft.io.timeout.Timeout
 
isFollowingRedirects() - Method in class org.apache.deft.web.http.client.Request
Indicates whether 3xx Redirection codes should be followed.
isKeepAlive() - Method in interface org.apache.deft.web.http.HttpRequest
Does keep-alive was requested.
isKeepAlive() - Method in class org.apache.deft.web.http.HttpRequestImpl
 
isMethodAsynchronous(HttpVerb) - Method in class org.apache.deft.web.handler.RequestHandler
 
isMethodAuthenticated(HttpVerb) - Method in class org.apache.deft.web.handler.RequestHandler
 

J

JMXDebuggableCallbackManager - Class in org.apache.deft.io.callback
 
JMXDebuggableCallbackManager() - Constructor for class org.apache.deft.io.callback.JMXDebuggableCallbackManager
 
JMXDebuggableTimeoutManager - Class in org.apache.deft.io.timeout
 
JMXDebuggableTimeoutManager() - Constructor for class org.apache.deft.io.timeout.JMXDebuggableTimeoutManager
 

K

KEEP_ALIVE_TIMEOUT - Static variable in class org.apache.deft.web.http.HttpServerDescriptor
The number of seconds Deft will wait for subsequent socket activity before closing the connection
KEY_VALUE_PATTERN - Static variable in class org.apache.deft.web.http.HttpRequestImpl
Regex to parse out key/value pairs
KeyValueStore - Class in org.apache.deft.example.keyvalue
Mocked KeyValueStoreHandler server (accepts a connection and echoes back the input)
KeyValueStore() - Constructor for class org.apache.deft.example.keyvalue.KeyValueStore
 
KeyValueStoreClient - Class in org.apache.deft.example.keyvalue
 
KeyValueStoreClient(String, int) - Constructor for class org.apache.deft.example.keyvalue.KeyValueStoreClient
 
KeyValueStoreExample - Class in org.apache.deft.example.keyvalue
 
KeyValueStoreExample() - Constructor for class org.apache.deft.example.keyvalue.KeyValueStoreExample
 
KeyValueStoreHandler - Class in org.apache.deft.example.keyvalue
 
KeyValueStoreHandler() - Constructor for class org.apache.deft.example.keyvalue.KeyValueStoreHandler
 
KnuthMorrisPrattAlgorithm - Class in org.apache.deft.util
The Knuth Morris Pratt string searching algorithm (or KMP algorithm) searches for occurrences of a "word" W within a main "text string" S by employing the observation that when a mismatch occurs, the word itself embodies sufficient information to determine where the next match could begin, thus bypassing re-examination of previously matched characters.
KnuthMorrisPrattAlgorithm() - Constructor for class org.apache.deft.util.KnuthMorrisPrattAlgorithm
 

L

limit() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See Buffer.limit
line() - Method in enum org.apache.deft.web.http.protocol.HttpStatus
Retrieve the status line for this instance.
listen(int) - Method in class org.apache.deft.web.HttpServer
If you want to run Deft on multiple threads first invoke HttpServer.bind(int) then HttpServer.start(int) instead of HttpServer.listen(int) (listen starts Deft http server on a single thread with the default IOLoop instance: IOLoop.INSTANCE).

M

main(String[]) - Static method in class org.apache.deft.example.client.AsynchronousHttpClientGetExample
A simple example of how to use the AsynchronousHttpClient, taking the following steps: Create an instance of AsyncResult<Response> and define the methods onSuccess and onFailure.
main(String[]) - Static method in class org.apache.deft.example.client.AsynchronousHttpClientPostExample
A simple example of how to use the AsynchronousHttpClient, taking the following steps: Create an instance of AsyncResult<Response> and define the methods onSuccess and onFailure.
main(String[]) - Static method in class org.apache.deft.example.configuration.DeftConfigurationExample
 
main(String[]) - Static method in class org.apache.deft.example.DeftServerExample
 
main(String[]) - Static method in class org.apache.deft.example.keyvalue.KeyValueStoreExample
 
MalFormedHttpRequest - Class in org.apache.deft.web.http
 
maxAgeToExpires(Long) - Static method in class org.apache.deft.util.CookieUtil
Utility method to calculate the expiration date of a cookie, starting with a time of validity in seconds.
MULTIPART_FORM_DATA - Static variable in class org.apache.deft.web.http.protocol.ContentType
multipart/form-data
MXBeanUtil - Class in org.apache.deft.util
 

N

newKeepAliveTimeout(IOLoop, SelectableChannel, long) - Static method in class org.apache.deft.io.timeout.Timeout
 
NopAsyncResult<T> - Class in org.apache.deft.util
Convenience class used to limit the Java verboseness.
nopAsyncResult - Variable in class org.apache.deft.util.NopAsyncResult
 
nopCb - Static variable in interface org.apache.deft.web.AsyncCallback
 
NotFoundRequestHandler - Class in org.apache.deft.web.handler
 

O

of(Class<T>) - Static method in class org.apache.deft.util.NopAsyncResult
 
of(X, Y) - Static method in class org.apache.deft.util.Pair
 
of(ByteBuffer) - Static method in class org.apache.deft.web.http.HttpRequestImpl
 
onCallback() - Method in interface org.apache.deft.web.AsyncCallback
 
onFailure(Throwable) - Method in interface org.apache.deft.web.AsyncResult
The asynchronous call failed to complete normally.
onSuccess(T) - Method in interface org.apache.deft.web.AsyncResult
Called when an asynchronous call completes successfully.
org.apache.deft.annotation - package org.apache.deft.annotation
 
org.apache.deft.configuration - package org.apache.deft.configuration
 
org.apache.deft.example - package org.apache.deft.example
 
org.apache.deft.example.client - package org.apache.deft.example.client
 
org.apache.deft.example.configuration - package org.apache.deft.example.configuration
 
org.apache.deft.example.handler - package org.apache.deft.example.handler
 
org.apache.deft.example.keyvalue - package org.apache.deft.example.keyvalue
 
org.apache.deft.io - package org.apache.deft.io
 
org.apache.deft.io.buffer - package org.apache.deft.io.buffer
 
org.apache.deft.io.callback - package org.apache.deft.io.callback
 
org.apache.deft.io.timeout - package org.apache.deft.io.timeout
 
org.apache.deft.util - package org.apache.deft.util
 
org.apache.deft.web - package org.apache.deft.web
 
org.apache.deft.web.handler - package org.apache.deft.web.handler
 
org.apache.deft.web.http - package org.apache.deft.web.http
 
org.apache.deft.web.http.client - package org.apache.deft.web.http.client
 
org.apache.deft.web.http.protocol - package org.apache.deft.web.http.protocol
 

P

Pair<T1,T2> - Class in org.apache.deft.util
 
Pair(T1, T2) - Constructor for class org.apache.deft.util.Pair
 
PARAM_STRING_PATTERN - Static variable in class org.apache.deft.web.http.HttpRequestImpl
Regex to parse out parameters from query string
parseToMilliseconds(String) - Static method in class org.apache.deft.util.DateUtil
Parse a given date String to a long representation of the time.
parseToRFC1123(long) - Static method in class org.apache.deft.util.DateUtil
Converts a millisecond representation of a date to a RFC 1123 formatted String.
PartialHttpRequest - Class in org.apache.deft.web.http
Represents an unfinished "dummy" HTTP request, e.g, an HTTP POST request where the entire payload hasn't been received.
PartialHttpRequest(String, String, Map<String, String>, String) - Constructor for class org.apache.deft.web.http.PartialHttpRequest
 
Path - Annotation Type in org.apache.deft.annotation
Defines the request path for which the annotated RequestHandler method is applicable.
PatternHandlerExample - Class in org.apache.deft.example.handler
This handler is invoked as a result of the combination of path and Regular Expression.
PatternHandlerExample() - Constructor for class org.apache.deft.example.handler.PatternHandlerExample
 
PeriodicCallback - Class in org.apache.deft.io.callback
 
PeriodicCallback(AsyncCallback, long) - Constructor for class org.apache.deft.io.callback.PeriodicCallback
A periodic callback that will execute its callback once every period.
PeriodicCallback(IOLoop, AsyncCallback, long) - Constructor for class org.apache.deft.io.callback.PeriodicCallback
 
PORT - Static variable in class org.apache.deft.example.keyvalue.KeyValueStore
 
position(int) - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
 
position() - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
See Buffer.position
post(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.RequestHandler
 
post(String, String, AsyncResult<Response>) - Method in class org.apache.deft.web.http.client.AsynchronousHttpClient
Make an asynchronous HTTP POST request against the specified URL, and invoke the given callback when the response upon completion.
post(String, byte[], AsyncResult<Response>) - Method in class org.apache.deft.web.http.client.AsynchronousHttpClient
Make an asynchronous HTTP POST request against the specified URL, and invoke the given callback when the response upon completion.
prepend(String) - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
Prepend the data.
prolongKeepAliveTimeout(SelectableChannel) - Method in class org.apache.deft.web.http.HttpProtocol
 
put(byte[]) - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
Append the data.
put(ByteBuffer) - Method in class org.apache.deft.io.buffer.DynamicByteBuffer
Append the bytes from the given src.
put(HttpRequest, HttpResponse) - Method in class org.apache.deft.web.handler.RequestHandler
 
put(String, String, AsyncResult<Response>) - Method in class org.apache.deft.web.http.client.AsynchronousHttpClient
Make an asynchronous HTTP PUT request against the specified URL, and invoke the given callback when the response upon completion.

Q

QUERY_STRING_PATTERN - Static variable in class org.apache.deft.web.http.HttpRequestImpl
Regex to parse out QueryString from HttpRequest

R

RAW_VALUE_PATTERN - Static variable in class org.apache.deft.web.http.HttpRequestImpl
Regex to parse raw headers and body
READ_BUFFER_SIZE - Static variable in class org.apache.deft.web.http.HttpServerDescriptor
Size of the read (receive) buffer.
readBytes(int, AsyncResult<byte[]>) - Method in class org.apache.deft.io.AsynchronousSocket
Reads from the underlaying SelectableChannel until n bytes are read.
readUntil(byte[], AsyncResult<byte[]>) - Method in class org.apache.deft.io.AsynchronousSocket
Reads from the underlaying SelectableChannel until delimiter is reached.
ReflectionTools - Class in org.apache.deft.util
Common functionality relating to the use of Reflection.
registerMXBean(Object, String) - Static method in class org.apache.deft.util.MXBeanUtil
 
removeHandler(SelectableChannel) - Method in class org.apache.deft.io.IOLoop
Unregisters the previously registered IOHandler.
Request - Class in org.apache.deft.web.http.client
 
Request(String, HttpVerb) - Constructor for class org.apache.deft.web.http.client.Request
Create an instance of this type with the given URL and HttpVerb.
Request(String, HttpVerb, boolean, int) - Constructor for class org.apache.deft.web.http.client.Request
Create an instance of this type with the given URL and HttpVerb.
REQUEST_LINE_PATTERN - Static variable in class org.apache.deft.web.http.HttpRequestImpl
Regex to parse HttpRequest Request Line
RequestHandler - Class in org.apache.deft.web.handler
 
RequestHandler() - Constructor for class org.apache.deft.web.handler.RequestHandler
 
RequestHandlerFactory - Class in org.apache.deft.web.handler
Factory for the creation and retrieval of RequestHandler types.
RequestHandlerFactory() - Constructor for class org.apache.deft.web.handler.RequestHandlerFactory
 
Response - Class in org.apache.deft.web.http.client
 
Response(long) - Constructor for class org.apache.deft.web.http.client.Response
 
run() - Method in class org.apache.deft.example.keyvalue.KeyValueStore
 

S

setBody(byte[]) - Method in class org.apache.deft.web.http.client.Request
Set the body applicable to this Request.
setBody(String) - Method in class org.apache.deft.web.http.client.Request
Set the body applicable to this Request.
setBody(String) - Method in class org.apache.deft.web.http.client.Response
 
setCloseCallback(AsyncCallback) - Method in class org.apache.deft.io.AsynchronousSocket
The given callback will invoked when the underlaying SelectableChannel is closed.
setConfiguration(Configuration) - Method in class org.apache.deft.web.Application
Set the Configuration for use with this type.
setContentType(String) - Method in class org.apache.deft.web.http.client.Request
Set the content type associated with this Request.
setCookie(String, String) - Method in interface org.apache.deft.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, long) - Method in interface org.apache.deft.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, String) - Method in interface org.apache.deft.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, String, String) - Method in interface org.apache.deft.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, long, String) - Method in interface org.apache.deft.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, long, String, String) - Method in interface org.apache.deft.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, long, String, String, boolean, boolean) - Method in interface org.apache.deft.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setCookie(String, String, long) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setCookie(String, String, String) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setCookie(String, String, String, String) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setCookie(String, String, long, String) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setCookie(String, String, long, String, String) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setCookie(String, String, long, String, String, boolean, boolean) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setCreateETag(boolean) - Method in interface org.apache.deft.web.http.HttpResponse
Set whether ETags should be generated and applied.
setCreateETag(boolean) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setCreateETags(boolean) - Method in class org.apache.deft.configuration.Configuration
Set whether ETags should be generated and applied.
setHandlerPackage(String) - Method in class org.apache.deft.configuration.Configuration
Set package under which RequestHandler implementations are to be found, for example "org.apache.deft".
setHeader(String, String) - Method in class org.apache.deft.web.http.client.Response
 
setHeader(String, String) - Method in interface org.apache.deft.web.http.HttpResponse
Set an HTTP header value.
setHeader(String, String) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
setIOLoop(IOLoop) - Method in class org.apache.deft.web.http.HttpRequestImpl
 
setRemoteHost(InetAddress) - Method in class org.apache.deft.web.http.HttpRequestImpl
 
setRemotePort(int) - Method in class org.apache.deft.web.http.HttpRequestImpl
 
setServerHost(InetAddress) - Method in class org.apache.deft.web.http.HttpRequestImpl
 
setServerPort(int) - Method in class org.apache.deft.web.http.HttpRequestImpl
 
setStaticDirectory(String) - Method in class org.apache.deft.configuration.Configuration
Set the directory from which static content should be retrieved.
setStatuLine(String) - Method in class org.apache.deft.web.http.client.Response
 
setStatus(HttpStatus) - Method in interface org.apache.deft.web.http.HttpResponse
Set the HTTP Response status (return) code, such as 200 for success.
setStatus(HttpStatus) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
shouldCreateETags() - Method in class org.apache.deft.configuration.Configuration
Determine whether ETags should currently be generated and applied.
start() - Method in class org.apache.deft.io.callback.PeriodicCallback
Start the PeriodicCallback
start() - Method in class org.apache.deft.io.IOLoop
Start the io loop.
start(int) - Method in class org.apache.deft.web.HttpServer
 
StaticContentHandler - Class in org.apache.deft.web.handler
A RequestHandler that serves static content (files) from a predefined directory.
StaticContentHandler() - Constructor for class org.apache.deft.web.handler.StaticContentHandler
 
stop() - Method in class org.apache.deft.io.IOLoop
Stop the io loop and release the thread (io loop thread) that invoked the IOLoop.start() method.
stop() - Method in class org.apache.deft.web.HttpServer
Unbinds the port and shutdown the HTTP server

T

TEXT_HTML - Static variable in class org.apache.deft.web.http.protocol.ContentType
text/html
TEXT_PLAIN - Static variable in class org.apache.deft.web.http.protocol.ContentType
text/plain
TEXT_XML - Static variable in class org.apache.deft.web.http.protocol.ContentType
text/xml
Timeout - Class in org.apache.deft.io.timeout
 
Timeout(long, AsyncCallback) - Constructor for class org.apache.deft.io.timeout.Timeout
 
TimeoutManager - Interface in org.apache.deft.io.timeout
 
TimeoutManagerMXBean - Interface in org.apache.deft.io.timeout
 
toString() - Method in class org.apache.deft.web.http.client.Response
 
toString() - Method in class org.apache.deft.web.http.HttpProtocol
 
toString() - Method in class org.apache.deft.web.http.HttpRequestImpl
 

U

updateHandler(SelectableChannel, int) - Method in class org.apache.deft.io.IOLoop
Update an earlier registered SelectableChannel
urlJoin(URL, String) - Static method in class org.apache.deft.util.UrlUtil
Example:
UrlUtil - Class in org.apache.deft.util
 
UrlUtil() - Constructor for class org.apache.deft.util.UrlUtil
 

V

valueOf(String) - Static method in enum org.apache.deft.web.http.protocol.HttpStatus
Returns the enum constant of this type with the specified name.
valueOf(String) - Static method in enum org.apache.deft.web.http.protocol.HttpVerb
Returns the enum constant of this type with the specified name.
values() - Static method in enum org.apache.deft.web.http.protocol.HttpStatus
Returns an array containing the constants of this enum type, in the order they are declared.
values() - Static method in enum org.apache.deft.web.http.protocol.HttpVerb
Returns an array containing the constants of this enum type, in the order they are declared.
verifyRequest(HttpRequest) - Static method in class org.apache.deft.util.HttpUtil
 

W

write(byte[], AsyncCallback) - Method in class org.apache.deft.io.AsynchronousSocket
Writes the given data to the underlaying SelectableChannel.
write(String) - Method in interface org.apache.deft.web.http.HttpResponse
The given data data will be sent as the HTTP response upon next flush or when the response is finished.
write(byte[]) - Method in interface org.apache.deft.web.http.HttpResponse
The given data data will be sent as the HTTP response upon next flush or when the response is finished.
write(File) - Method in interface org.apache.deft.web.http.HttpResponse
Experimental support.
write(String) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
write(byte[]) - Method in class org.apache.deft.web.http.HttpResponseImpl
 
write(File) - Method in class org.apache.deft.web.http.HttpResponseImpl
Experimental support.
WRITE_BUFFER_SIZE - Static variable in class org.apache.deft.web.http.HttpServerDescriptor
Size of the write (send) buffer.

_

_1 - Variable in class org.apache.deft.util.Pair
 
_2 - Variable in class org.apache.deft.util.Pair
 

A B C D E F G H I J K L M N O P Q R S T U V W _

Copyright © 2010-2011. All Rights Reserved.